require( "scripts/style.lua" );

by = 320
bh = 50

DebugOut( "Continue Called" );


MakeDialog
{
    Bitmap
    {
        name="yesnobackground",
		image="backgrounds/dialog",
		x=kCenter,
		y=kCenter,
        
        Button
        {
			font = StandardButtonFont,
			graphics = LongButtonGraphics,
            close = false,
            flags = 5,
            label = "continuegame",
            name = "yes",
            x = kCenter,
            y = by-bh+2,
			command=
				function()
					DebugOut( "Continue : Yes" );
					CloseWindow("yes")
				end       
			
        },
        
        Button
        {
            font = StandardButtonFont,
			graphics = LongButtonGraphics,
            close = false,
            flags = 5,
            label = "startnewgame",
            name = "new",
            x = kCenter,
            y = by+2,
			command=
				function()		
			
					result = DisplayDialog { 
						"scripts/yesno.lua", 
						body ="contconf2",
						title = "contconf1" 
					};
					if (result=='yes') then
						DebugOut( "Continue : New Game" );						
						CloseWindow("newgame")
					end				
					
				end            
        },        
        
        Button
        {
            font = StandardButtonFont,
			graphics = StandardButtonGraphics,
            close = false,
            flags = 5,
            label = "cancel",
            name = "cancel",
            x = kCenter,
            y = by+bh+2,
			command=
				function()			
					DebugOut( "Continue : Cancel" );
					CloseWindow("cancel")
				end                        
        },
        
        Text
		{
			font = DialogTitleFont,
			name = "continuetitle",
			x=12, y=by-(bh*3.35)+2,
			w=kMax,h=40,
			flags = kVAlignCenter + kHAlignCenter,
			label= "continuetitle",
		};
		
		Text
		{
			font = DialogBodyFont,
			name = "yesnobody",
			x=0,y=by-(bh*1.6)-2,
			w=kMax,h=kMax,
			flags = kHAlignCenter,
			label = "continueYesNo",
		};
    },

} -- MakeDialog
